# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('django_intranet_notifications', '0001_initial'),
        ('django_intranet_stuff', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='subscription',
            name='staff',
            field=models.ForeignKey(to='django_intranet_stuff.Staff'),
        ),
        migrations.AddField(
            model_name='route',
            name='department',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='django_intranet_stuff.Department'),
        ),
        migrations.AddField(
            model_name='route',
            name='office',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='django_intranet_stuff.Office'),
        ),
        migrations.AddField(
            model_name='route',
            name='staff',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='django_intranet_stuff.Staff'),
        ),
        migrations.AlterIndexTogether(
            name='messagethreadmodel',
            index_together=set([('subj_id', 'target', 'transport_id', 'last_msg_id')]),
        ),
    ]
